Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.ode.bpel.compiler.bom
Class ExtensionVal

    java.lang.Object
      org.apache.ode.bpel.compiler.bom.BpelObject
          org.apache.ode.bpel.compiler.bom.ToFrom
              org.apache.ode.bpel.compiler.bom.ExtensionVal

All Implemented Interfaces:
  SourceLocation

    public class ExtensionVal

extends ToFrom

Assignment L/R-value defined in terms of message variable extensions. This is a BPEL hack (not standard BPEL) that allows the process to access custom message "extensions", for example SOAP headers and the like. Evil, use sparingly.

Field Summary

Fields inherited from class org.apache.ode.bpel.compiler.bom.BpelObject
`ATTR_LINENO`

Constructor Summary
`ExtensionVal(org.w3c.dom.Element el)`

Method Summary
`javax.xml.namespace.QName` | `getExtension()`
`java.lang.String` | `getVariable()`

Methods inherited from class org.apache.ode.bpel.compiler.bom.ToFrom
`getAsExpression, getAsExtensionVal, getAsPartnerLinkVal, getAsPropertyVal, getAsVariableVal, isExtensionVal, isPartnerLinkVal, isPropertyVal, isVariableVal`

Methods inherited from class org.apache.ode.bpel.compiler.bom.BpelObject
`createBpelObject, getAttribute, getAttribute, getAttribute, getAttribute, getChildren, getChildren, getChildren, getColumnNo, getElement, getExtensibilityElement, getExtensibilityElements, getFirstChild, getFirstChild, getFirstExtensibilityElementElement, getLineNo, getNamespaceContext, getPath, getTextValue, getType, getURI, is11, is20Draft, isAttributeSet, rewriteTargetNS, setURI, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ExtensionVal

    public ExtensionVal(org.w3c.dom.Element el)

Method Detail

### getVariable

    public java.lang.String getVariable()

### getExtension

    public javax.xml.namespace.QName getExtension()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD